"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.mongoEx = exports.expressEx = exports.cmd = exports.fs = void 0;
const cmd_1 = __importDefault(require("./src/cmd"));
const express_1 = __importDefault(require("./src/express/express"));
const fs_1 = __importDefault(require("./src/fs"));
const mongo_1 = __importDefault(require("./src/mongo/mongo"));
const http_1 = __importDefault(require("./src/http"));
const fs = new fs_1.default();
exports.fs = fs;
const cmd = new cmd_1.default();
exports.cmd = cmd;
const expressEx = new express_1.default();
exports.expressEx = expressEx;
const mongoEx = new mongo_1.default();
exports.mongoEx = mongoEx;
const jfNode = {
    fs,
    cmd,
    expressEx,
    mongoEx,
    http: http_1.default,
};
exports.default = jfNode;
