"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CatchClass = exports.CatchFn = void 0;
const CatchFn = (_a, _b, c) => {
    const oFn = c.value;
    c.value = (...data) => {
        try {
            return oFn(...data);
        }
        catch (e) {
            console.log(e, _b + " --- error");
        }
    };
};
exports.CatchFn = CatchFn;
const CatchClass = (rtData) => {
    return (target) => {
        Object.getOwnPropertyNames(target.prototype)
            .filter((i) => i !== "constructor")
            .map((name) => {
            const oldFn = target.prototype[name];
            target.prototype[name] = function (...data) {
                try {
                    return oldFn.call(this, ...data);
                }
                catch (e) {
                    console.log(e, name + " --- Error");
                    return rtData;
                }
            };
        });
    };
};
exports.CatchClass = CatchClass;
