/// <reference types="node" />
import * as fs from "fs";
declare class _Fs {
    rmFile(filePath: string | string[]): boolean | boolean[];
    mkFile(path: string, data: any): boolean;
    rmDir(path: string): boolean;
    mkDir(path: string): boolean;
    readDir(path: string, options?: {
        encoding: BufferEncoding | null;
        withFileTypes?: false | undefined;
    } | BufferEncoding | null): string[];
    readFile(path: string, options?: {
        encoding: BufferEncoding;
        flag?: string | undefined;
    } | null): string | Buffer;
    getFileNamsByDir(path: string, back?: string[], skipDirNames?: string[]): string[] | undefined;
    getAllFileNamsByDir(path: string): string[] | undefined;
    isHas(path: string): boolean;
    getFileInfo(path: string): false | fs.Stats;
    isDir(path: string | any[]): boolean;
    copyDirToDir(formDir: string, toDir: string, skips?: string[]): Promise<any>[];
    removeFileNameByPath(path: string): string;
    getFileNameByPath(path: string): string;
}
export default _Fs;
